/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include"utils.h"
#include<cstdio>
#include<ctime>

namespace PCal {
 
bool stringToDate(const Glib::ustring str, Glib::Date& date)
{
    unsigned day, month, year;
    
    if(!std::sscanf(str.c_str(), "%u/%u/%u", &year, &month, &day))
    {
        // format error
        return false;
    }
    if(date.valid_dmy(day,
          (Glib::Date::Month)month,
          year)) 
    {
        date.set_dmy(day,
              (Glib::Date::Month)month,
              year);
    } else {
        // format error
        return false;
    }
    return true;
}

Glib::Date getTodayDate()
{
    // get the current date
    Glib::Date todayDate;
    std::time_t t;
    std::time(&t);
    std::tm * tm = std::localtime(&t);
    todayDate.set_dmy(tm->tm_mday,
              (Glib::Date::Month)(tm->tm_mon+1),
              tm->tm_year+1900);
    return todayDate;
}

} // namespace PCal
